## simplejpeg 1.7.5+nolena

=== requirements.txt ===
numpy>=1.19.3

=== debian/changelog ===
simplejpeg (1.7.5+nolena-0ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:04:55 +0000

simplejpeg (1.7.5+nolena-0ubuntu1) questing; urgency=medium

  * Initial upload to Ubuntu (LP: #2091974)
  * d/p: Added patches
    - d/p/fix_incompatible_ptr.patch: Fix an incompatible
      pointer warning.
    - d/p/system_cmake.patch: Use system cmake
  * d/watch: Add d/watch for new versions
  * d/copyright: Remove test/images/lena.jpg
  * d/control: Fix Build-Depends for tests, update maintainer,
    update architectures
  * d/rules: Add dh_numpy3 step, enable tests, remove
    pregenerated simplejpeg/_jpeg.c

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Fri, 25 Apr 2025 16:33:09 +0530

simplejpeg (1.6.6-1) bookworm; urgency=medium

  * New upstream release

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 25 Jul 2023 11:04:28 +0100

simplejpeg (1.6.4-1) bullseye; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 25 Apr 2022 16:35:26 +0100

=== debian/control ===
Source: simplejpeg
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 13), cmake, dh-python, python3-setuptools,
 python3-all, python3-all-dev, python3-numpy, python3-numpy-dev,
 libturbojpeg0-dev, python3-pytest, python3-pillow, cython3
Standards-Version: 4.7.0.1
Homepage: https://gitlab.com/jfolz/simplejpeg
Vcs-Git: https://gitlab.com/jfolz/simplejpeg.git
Rules-Requires-Root: no

Package: python3-simplejpeg
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Simple package for fast JPEG encoding and decoding
 Simple package based on recent versions of libturbojpeg for fast JPEG encoding
 and decoding.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=simplejpeg

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	rm simplejpeg/_jpeg.c
	dh_clean

override_dh_install:
	dh_install
	dh_numpy3

# If you need to rebuild the Sphinx documentation
# Add sphinxdoc to the dh --with line
#
# And uncomment the following lines
#override_dh_auto_build: export http_proxy=127.0.0.1:9
#override_dh_auto_build: export https_proxy=127.0.0.1:9
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman \
#	docs/ build/man # Manpage generator

=== debian/watch ===
version=4
opts=\
 "repacksuffix=+nolena,\
 dversionmangle=s/\+nolena$//,\
 filenamemangle=s%.*/([^/]+)/simplejpeg-.*\.tar\.gz%simplejpeg_$1.orig.tar.gz%,\
 searchmode=plain" \
 https://gitlab.com/jfolz/simplejpeg/tags?sort=updated_desc \
 -/archive/v?\d[\d.]+/simplejpeg-@ANY_VERSION@.tar.gz debian uupdate

## simplejpeg 1.8.1

=== debian/changelog ===
simplejpeg (1.8.1-1) bookworm; urgency=medium

  * Add watch file
  * Add gbp.conf
  * Add cython3 build dependency
  * Refresh patches
  * Allow older versions of libjpeg-turbo to work
  * Exclude unnecessary and problematic files
  * Use dh_numpy3
  * setuptools creates _jpeg.c on clean, delete it
  * New upstream version 1.8.1

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 12 Feb 2025 16:08:19 +0000

=== debian/control ===
Source: simplejpeg
Section: graphics
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 13), cmake, dh-python, python3-setuptools,
 python3-all, python3-all-dev, python3-numpy, cython3, libturbojpeg0-dev
Standards-Version: 4.5.1
Homepage: https://gitlab.com/jfolz/simplejpeg
Vcs-Git: https://gitlab.com/jfolz/simplejpeg.git
Rules-Requires-Root: no

Package: python3-simplejpeg
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Simple package for fast JPEG encoding and decoding
 Simple package based on recent versions of libturbojpeg for fast JPEG encoding
 and decoding.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,8 @@
 export PYBUILD_NAME=simplejpeg
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
-override_dh_clean:
-	rm simplejpeg/_jpeg.c
-	dh_clean
-
-override_dh_install:
-	dh_install
-	dh_numpy3
 
 # If you need to rebuild the Sphinx documentation
 # Add sphinxdoc to the dh --with line

=== debian/watch ===
version=4
opts="searchmode=plain,repack,\
uversionmangle=s/%2B/+/g" \
https://api.github.com/repos/jfolz/@PACKAGE@/releases?per_page=50 \
https://github\.com/[^/]+/[^/]+/releases/download/[^/]+/@PACKAGE@-([^"]+)\.tar\.gz
